#coding: utf-8
from lib.testCase.FlvPressureTest import FlvPressureTest



###########################################
#       推流h264 和 aac 文件压力测试
###########################################
from lib.testCase.H264PresureTest import H264PresureTest


def h264FilePushTest():
    test = H264PresureTest()
    test.setHost("10.100.12.3")
    test.setPort(1078)
    test.setMobileStart(10000000000)
    test.setChannel(1)
    test.setTerNum(10)
    test.setSendDur(0.001)
    test.setIsOpenPullStream(0)                           # 设置是否开启拉流
    test.setIsShowFrame(0)
    test.setVideoPath("h264/bbb3.h264")
    test.setAudioPath("aac/bbb3.aac")
    test.start()

###########################################
#       推流flv文件压力测试
###########################################
def flvFilePushTest():
    test = FlvPressureTest()
    test.setHost("10.100.12.3")
    test.setPort(1078)
    test.setMobileStart(10000000000)
    test.setChannel(1)
    test.setTerNum(1)
    test.setIsOpenPullStream(1)  # 设置是否开启拉流
    test.setIsShowFrame(1)  # 拉流是否显示预览画面
    test.setSendDur(0.001)
    test.setFlvPath("flv/aaa3.flv")
    test.start()

if __name__ == "__main__":
    flvFilePushTest()
    # h264FilePushTest()
